// this represents the collect as a whole.
// It maintains the array that holds the books and videos.
// If it runs out of room, the addHolding() method will return false.

class Library
{
   private final int LIBSIZE = 6;  // number of holdings allowed
   // array type is Holding so we can put either a book or a video
   // in each slot since, through inheritance, Book and Video
   // are Holdings
   private Holding[] lib; 
   private int count; // how many are there in the array

   // create the array and set the counter
   public Library ()
   {
      lib = new Holding[LIBSIZE];
      count = 0;
   }

   // add a book or video to the collection
   // returns false if there is no room, true otherwise
   // exceptions might be a better way to do this
   public boolean addHolding(Holding h)
   {
	if(count >= LIBSIZE) {
		System.out.println("Library is full");
		return false;
	}
	lib[count++] = h;
	return true;
   } // addHolding
   
   public int getCount() { return count;}
   
   // display the collection on the console output
   public void showHoldings()
   {
       System.out.println("Here are the current holdings");
       for(int i = 0; i < count; i++) {
           System.out.println(lib[i]);  // calls the toString() method
           System.out.println("=======================================");
       }
   } // showHoldings
} // Library
